:root {
    --accent-hue: 25;
    --shades-hue: 30;
    --light-lightness: 85%;
    --dark-lightness: 15%;
    --accent-saturation: 80%;
    --shades-saturation: 20%;

    --light-accent: hsl(var(--accent-hue), var(--accent-saturation), var(--light-lightness));
    --dark-accent: hsl(var(--accent-hue), var(--accent-saturation), var(--dark-lightness));

    --dark-shades: hsl(var(--shades-hue), var(--shades-saturation), var(--dark-lightness));
    --light-shades: hsl(var(--shades-hue), var(--shades-saturation), var(--light-lightness));

    --main-color: hsl(var(--shades-hue), 10%, 95%);

    --margin-small: 0.2rem;
    --margin-medium: 1rem;
    --margin-big: 2rem;
    --margin-ultra-big: 4rem;

    --golden-ratio-small: 0.38197;
    --golden-ratio-big: 0.61803;
}

@media screen and (prefers-color-scheme: dark) {
    :root {
        --light-lightness: 20%;
        --dark-lightness: 80%;
        --main-color: hsl(var(--shades-hue), 10%, 10%);

    }
}

.filled-star svg {
    color: var(--dark-accent);
}

html {
    overflow: auto;
}

body {
    background-color: var(--main-color);
    font-family: 'Montserrat', sans-serif;
    overflow-y: hidden;
    color: var(--dark-shades);
}

h1, h2, h3, h4, h5, h6 {
    text-transform: uppercase;
    font-family: 'Oswald', sans-serif;
}

article > h2 {
    margin-bottom: var(--margin-small);
}

.no-color {
    filter: grayscale(100%);
}

.reversed-colors, h2 {
    background-color: var(--dark-shades);
    color: var(--light-shades);
}


/*TOP PANEL*/

.header-panel-placeholder {
    position: absolute;
}

.header-panel {
    /*padding: calc(var(--margin-big) * 1.2);*/
    /*width: 100%;*/
    display: flex;
    justify-content: space-between;
}

.header-panel h1 {
    font-size: min(5vw, 3rem);
    width: max-content;
}

picture {
    max-width: 80vw;
}

picture > * {
    display: block;
    width: 100%;
    object-fit: cover;
}

/*MAIN PANEL*/

#main {
    display: flex;
    flex-flow: column;
}

.experience h3 {
    flex-shrink: 0;
    margin: 0 0 var(--margin-small);
    width: max-content;
    display: inline-block;
}

.experience {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-right: var(--margin-big);
}

.experience div.dot {
    border-bottom: var(--dark-shades) 1px dotted;
    flex: 1;
}

.experience .time {
    flex-shrink: 0;
}

article > * {
    padding-left: var(--margin-small);
}

article > h2 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: var(--margin-medium);
}

a, a :link, a :hover, a :visited {
    color: var(--dark-accent);
}

#rodo {
    margin: 0 var(--margin-big);
    font-style: italic;
}

#lang-selector {
    position: absolute;
    right: var(--margin-small);
    top: var(--margin-small);
}

#lang-selector select {

    padding: var(--margin-medium) var(--margin-medium);

    /*appearance: none;*/
    box-shadow: none;
    border: 0;
}

.select-arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    position: absolute;
    width: 100%;
    top: 0;
    pointer-events: none;
    background-color: var(--dark-shades);
    color: var(--light-shades);
}
